kdecore Library: KConfigGroupSaver Class Reference (kdecore Library)

| # kdecore Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KConfigGroupSaver Class Reference

Helper class to facilitate working with KConfig / KSimpleConfig groups. Helper class for easier use of KConfig/KSimpleConfig groups. More...

`#include <kconfigbase.h>`

Collaboration diagram for KConfigGroupSaver:

[legend]
List of all members.

## Public Member Functions
| KConfigGroupSaver (KConfigBase *config, QString group)
| KConfigGroupSaver (KConfigBase *config, const char *group)
| KConfigGroupSaver (KConfigBase *config, const QCString &group)
KConfigBase * | config ()

## Detailed Description

Helper class to facilitate working with KConfig / KSimpleConfig groups. Helper class for easier use of KConfig/KSimpleConfig groups.

Careful programmers always set the group of a KConfig KSimpleConfig object to the group they want to read from and set it back to the old one of afterwards. This is usually written as:

     QString oldgroup config->group();
     config->setGroup( "TheGroupThatIWant" );
     ...
     config->writeEntry( "Blah", "Blubb" );

     config->setGroup( oldgroup );

In order to facilitate this task, you can use KConfigGroupSaver. Simply construct such an object ON THE STACK when you want to switch to a new group. Then, when the object goes out of scope, the group will automatically be restored. If you want to use several different groups within a function or method, you can still use KConfigGroupSaver: Simply enclose all work with one group (including the creation of the KConfigGroupSaver object) in one block.

Deprecated:
  This class is deprecated and will be removed in KDE 4. KConfigGroup provides similar functionality in a more object oriented way.

Author:
  Matthias Kalle Dalheimer <kalle@kde.org>

See also:
  KConfigBase, KConfig, KSimpleConfig, KConfigGroup

Definition at line 2051 of file kconfigbase.h.

## Constructor & Destructor Documentation

KConfigGroupSaver::KConfigGroupSaver | ( | KConfigBase * | config,
|  | QString | group
| ) | `[inline]`

  | Constructor. You pass a pointer to the KConfigBase-derived object you want to work with and a string indicating the _new_ group. Parameters:
  | config | The KConfigBase-derived object this KConfigGroupSaver works on.
  | group | The new group that the config object should switch to.
Definition at line 2063 of file kconfigbase.h.

The documentation for this class was generated from the following file:

- kconfigbase.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:18:31 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003